- [HTTP request](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads/create.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads/create.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads/create.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads/create.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads/create.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads/create.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads/create.md.txt#body.aspect_1)

Creates Assured Workload.

### HTTP request

`POST https://{endpoint}/v1/{parent=organizations/*/locations/*}/workloads`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/assured-workloads/docs/reference/rest.md.txt#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the new Workload's parent. Must be of the form `organizations/{org_id}/locations/{locationId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `assuredworkloads.workload.create` |

### Query parameters

| Parameters ||
|---|---|
| `externalId` | `string` Optional. A identifier associated with the workload and underlying projects which allows for the break down of billing costs for a workload. The value provided for the identifier will add a label to the workload and contained projects with the identifier as the value. |

### Request body

The request body contains an instance of `Workload`.

### Response body

If successful, the response body contains a newly created instance of `Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/assuredworkloads`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `assuredworkloads.workload.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).